Name:    nickle
Version: 2.62
Release: 1%{?dist}
Summary: A programming language-based prototyping environment

Group:   Development/Languages
License: MIT
URL:     http://nickle.org
Source0: http://nickle.org/release/nickle-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: ncurses-devel, readline-devel

%description
Nickle is a programming language based prototyping environment with
powerful programming and scripting capabilities. Nickle supports a
variety of datatypes, especially arbitrary precision numbers. The
programming language vaguely resembles C. Some things in C which do
not translate easily are different, some design choices have been made
differently, and a very few features are simply missing.

Nickle provides the functionality of UNIX bc, dc and expr in
much-improved form. It is also an ideal environment for prototyping
complex algorithms. Nickle's scripting capabilities make it a nice
replacement for spreadsheets in some applications, and its numeric
features nicely complement the limited numeric functionality of
text-oriented languages such as AWK and PERL.

%package devel
Summary:  Include files for Nickle
Group:    Development/Languages
Requires: %{name} = %{version}-%{release}

%description devel
Include files for Nickle, used for bulding external FFI (foreign
function interface) libraries (e.g. the Cairo interface for Nickle).

%prep
%setup -q


%build
%configure
make %{?_smp_flags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm `find examples -name 'Makefile*'`
rm examples/COPYING

# Fix permissions on example files
chmod a-x examples/menace2.5c
chmod a-x examples/turtle/snowflake.5c


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README README.name COPYING AUTHORS NEWS TODO examples
%{_bindir}/nickle
%{_datadir}/nickle/
%exclude %{_datadir}/nickle/COPYING
%exclude %{_datadir}/nickle/examples
%{_mandir}/man1/nickle.1*

%files devel
%defattr(-, root, root,-)
%{_includedir}/nickle

%changelog
* Fri Jan 18 2008 Michel Salim <michel.sylvan@gmail.com> 2.62-1
- Update to 2.62

* Sun Sep 23 2007 Michel Salim <michel.sylvan@gmail.com> 2.58-1
- Update to 2.58

* Sat Nov  4 2006 Michel Salim <michel.salim@gmail.com> 2.54-2
- Only package example files once, remove leftover Makefiles

* Thu Nov  2 2006 Michel Salim <michel.salim@gmail.com> 2.54-1
- Update to 2.54
- Use exclude macro instead of ghost

* Sun Mar 19 2006 Michel Salim <michel.salim@gmail.com> 2.53-3
- Moved examples to doc
- Removed redundant COPYING files from examples

* Sun Mar  5 2006 Michel Salim <michel.salim@gmail.com> 2.53-2
- Removed INSTALL from installed documentation
- Added description for devel package

* Sat Feb 18 2006 Michel Salim <michel.salim@gmail.com> 2.53-1
- Initial Fedora package

* Thu Mar  1 2004 Mike A. Harris <mharris@www.linux.org.uk> 2.29-2
- Initial rpm spec file
